Subject: Re: bug#14607: 24.3; gdb shell command does not work properly (zsh: command not found: -interpreter-exec)

From: Stefan Kangas <[email-masked]>
Date: Wed, 10 Jan 2024 03:16:05 -0800

"MEERSMAN Koen" <[email-masked]> writes:

> Indeed,
>
> I played a bit with  gdb-control-commands-regexp and gdb-control-level
> but I was not able to find a quick fix.
> (otherwise I would have added it to the bug report.)
>
> I'll try to teach the developers not to use shell inside gdb, if you do
> it then you can't exit the shell and return to gdb.
>
> Tnx,
>
> Koen
>
>
> -----Original Message-----
> From: Glenn Morris [mailto:[email-masked]]
> Sent: 14 June, 2013 20:41
> To: MEERSMAN Koen
> Cc: [email-masked]
> Subject: Re: bug#14607: 24.3; gdb shell command does not work properly
> (zsh: command not found: -interpreter-exec)
>
>
> Adding "shell" to gdb-control-commands-regexp seems to somewhat help,
> but it still isn't right.

That was 10 years ago, so I'm reaching out to see if this is still
relevant on a modern version of Emacs.

If I don't hear back from you within a couple of months, Ill just assume
that this has been fixed and close this bug.

Thanks in advance.